%global pypi_name librouteros

Name:           python3-%{pypi_name}
Version:        3.1.0
Release:        1%{?dist}
Summary:        Python library to access Mikrotik routers via API
Group:          Development/Python
License:        GPLv2
URL:            https://github.com/luqasz/librouteros
Source0:        https://github.com/luqasz/librouteros/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  pkgconfig(python3)
%if 0%{?rhel} == 7
BuildRequires:  python3.6dist(setuptools)
%else
BuildRequires:  python3dist(setuptools)
%endif

%{?python_provide:%python_provide python3-%{pypi_name}}

%description
Features
 -  Python type casting
 -  Key and values stored in dictionary
 -  Source address, port specification
 -  TLS/SSL socket encryption
 -  Logging support

Limitations
 -  No support for sentence tagging.
 -  No asynchronous support for reading/writing


%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%files
%doc README.rst CHANGELOG.rst 
%license LICENSE
%{python3_sitelib}/%{pypi_name}/*.py
%{python3_sitelib}/%{pypi_name}/__pycache__/*.pyc
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Sat Jan 02 2021 Greg Wildman <greg@techno.co.za> - 3.0.1-1
- Initial Spec

